import matplotlib
import matplotlib.pyplot as plt
import numpy as np

from plot_common import colors, Run, ftype

class TimedRun(Run):
    def __init__(self, line):
        descr, time = line.split(" ")
        Run.__init__(self, descr)

        self.time = float(time)/60

def make_points(lines):
    t = [TimedRun(l) for l in lines]
    x = [o.q for o in t]
    y = [o.time for o in t]
    return x, y

def plot(image, models, lines_per_model):
    plt.figure(1)
    plt.clf()
    plt.ylabel("runtime in minutes")
    plt.xlabel("compression ratio of the image")
    
    i = 0 # color counter
    
    res = [] # result of plot - used in legend
    total = [] # list of all runtimes
    
    for lines in lines_per_model:
        x, y = make_points(lines)
        r = plt.plot(x, y, "o", color=colors[i])
        total += y
        res.append(r)
        i += 1
    
    print "total runtime: "+str(sum(total)/60)+"h"
    print "mean runtime: "+str(np.mean(total))+"min"
    
    plt.title(image+" inpainting times")
    plt.legend(res, models)
    plt.xlim([0, 0.25])
    #plt.show()
    plt.savefig(image+"/runtimes"+ftype)

