function compress()
img_name = 'lena';
sc = 1/3; % choose scale (1 => original size)

% read input image
img = double(imread(sprintf('../input/%s.png', img_name)));
img = imresize(img, sc, 'nearest');

out_dir = ['../output/' img_name '-' num2str(length(img)) '/'];
mask_dir = [out_dir 'compressed/'];

if ~isdir(out_dir)
    mkdir(out_dir);
    mkdir(mask_dir);
end

original = [out_dir 'original.png'];

% compression ratios
qs = [0.02 0.05 0.2];

if ~exist(original, 'file')
    out_img = mat2gray(img);
    imwrite(out_img, original, 'png');
    
    for q = qs
        fname = ['jp2_' num2str(q)];
        imwrite(out_img, [out_dir fname '.jp2'], 'jp2', 'CompressionRatio', 1/q); % store as jp2 so we can see filesize
        imwrite(imread([out_dir fname '.jp2'], 'jp2'), [out_dir fname '.png'], 'png'); % also store jp2 as png, so tex can read
    end
end

methods = {@mask_random, @mask_dithering, @mask_btree};
methods = {@mask_mrfz};
qs = [0.02];

% compress images
for m = methods
    method = m{1};
    for q = qs
        [mask mask_name] = method(img, q, true);
        % always add edge points to mask
        % otherwise linear inpainting is arbitraryly bad
        sz = size(img);
        for pt = [1 1; 1 sz(2); sz(1) 1; sz(1) sz(2)]'
            mask(pt(1), pt(2)) = 0;
        end
        
        figure(1);
        clf;
        colormap gray;
        imagesc(mask);
        
        compressed = mat2gray(img);
        compressed(mask) = 1;
        
        imwrite(compressed, [mask_dir mask_name '.png'], 'png', 'Alpha', double(~mask));
    end
end
end

