function decompress
% options
mrfs = containers.Map({'3x3_foe', 'pw_mrf'}, {learned_models.cvpr_3x3_foe, learned_models.cvpr_pw_mrf});

img_name = 'lena';
size = 171;

out_dir = ['../output/' img_name '-' num2str(size) '/'];
mask_dir = [out_dir 'compressed/'];

% decompress images
in_imgs = dir([mask_dir 'mrfz+pw*.png']);

for i = {in_imgs.name}
    file = i{1};
    img_name = file(1:end-4);
    
    [img , ~, alpha] = imread([mask_dir file]);
    
    mask = ~logical(alpha);
    img = double(img);

    for mrfiter = {'pw_mrf', '3x3_foe', 'linear'} % {'linear'}
        mrf = mrfiter{1};
        
        img = inpaint_linear(img, mask);
        
        fname = [img_name '-' mrf];
        
        if(strcmp('linear', mrf))
            img_inpainted = img;
        else
            tic;
            img_inpainted = restoration.inpaint_mmse(mrfs(mrf), img, mask, false);
            duration = toc;

            % write time to log
            timelog = fopen([out_dir 'runtimes.txt'], 'a');
            fprintf(timelog, '%s %s\n', fname, num2str(duration));
        end
                
        imwrite(mat2gray(img_inpainted), [out_dir fname '.png'], 'png');
                
        figure(2);
        colormap gray;
        imagesc(img_inpainted);
        drawnow;
    end
    
end
end