function evaluate
    image = 'lena-171';
    src_dir = ['../output/' image '/'];
    eval_dir = ['../eval/' image '/'];
    
    orig = double(imread([src_dir 'original.png']));
    out_files = dir([src_dir '*.png']); % jp2 images are also stored als png so tex can read
        
    if ~isdir(eval_dir)
        mkdir(eval_dir)
    end
    
    res_file = [eval_dir 'results.txt'];
    
    if exist(res_file, 'file')
        movefile(res_file, [eval_dir 'results.old.txt']);
    end

    % write results to log
    results = fopen(res_file, 'w');
    fprintf(results, '# filename psnr ssim_index\n'); % header
    
    for out_img = {out_files.name}
        file = out_img{1};
        
        if strcmp(file, 'original.png')
            continue
        end
        
        compressed = double(imread([src_dir file]));
        
        psnrv = pml.image_proc.psnr(orig, compressed);
        [mssim, ~] = pml.image_proc.ssim_index(orig, compressed);
        
        name = file(1:end-4);
        fprintf(results, '%s %s %s\n', name, num2str(psnrv), num2str(mssim));
        
        % also save ssim map
        % imwrite(mat2gray(ssim_map), [eval_dir name '-ssim' '.png'], 'png');
    end
   
    fclose(results);
end