function [mask name] = mask_dithering(img, percent)
    name = ['dithering_' num2str(percent)];
    
    % compute gradient
    hsobel = fspecial('sobel');
    img_dx = imfilter(img, hsobel, 'replicate', 'same');
    img_dy = imfilter(img, hsobel', 'replicate', 'same');
    mask = sqrt(img_dx.^2+img_dy.^2);
    
    mask = mat2gray(mask); % normalise to 0..1
    my2p = percent/mean(mean(mask)); % moves mean to percent -> percent of pixels will be white
 
    % ones(white) are being inpainted    
    mask = ~logical(dither(mask*my2p));  
end

