image = "lena-171"
scale = "0.45"
eval_dir = "../eval/"+image

qs = [0.2, 0.05]
measures = ["PSNR", "SSIM"]

methods = ["Btree"]

f = file("graphs.tex", "w")
#f = sys.stdout

f.write("\section{Quality Measurements}"+"\n")
for m in measures:
    f.write(("\paragraph{%s}" % m)+"\n")
    for q in qs:
        f.write(("\includegraphics[scale=%s]{{%s/%s-%s}.pdf}" % (scale, eval_dir, q, m.lower()))+"\n")
    f.write("\n")

f.write(("\paragraph{%s}" % "Compression Methods Overview")+"\n")
for decomp in ["3x3_foe", "pw_mrf"]:
    for m in measures:
        f.write(("\includegraphics[scale=%s]{{%s/%s-%s}.pdf}" % (scale, eval_dir, decomp, m.lower()))+"\n")
    f.write("\n")

f.write(("\paragraph{%s}" % "Decompression Methods Overview")+"\n")
for m in measures:
    f.write(("\includegraphics[scale=%s]{{%s/%s-%s}.pdf}" % (scale, eval_dir, "btree", m.lower()))+"\n")
f.write("\n")